Subject: RE: [PATCH 1/2] stmmac: introduce flag to dynamically disable TX offload for rockchip devices

From: "Leonidas P. Papadakos" <[email-masked]>
Date: Wed, 03 Apr 2019 18:35:21 +0300

Στις Τετ, 3 Απρ, 2019 at 10:55 ΠΜ, ο/η Jose Abreu 
<[email-masked]> έγραψε:
> From: Leonidas P. Papadakos <[email-masked]>
> Date: Tue, Apr 02, 2019 at 23:48:16
> 
>>  I can confirm that snps,no-pbl-x8, currently set by uboot for the 
>> fdt
>>  basically fixes the tx-checksumming issue.
>>  I get 700~800 Mbps myself but that might come down to the setup.
>>  You could say it affects performance slightly, as I saw in a 
>> previous
>>  email.
>> 
>>  Without the setting The rate consistently drops to 0.
>>  ethtool reports tx-checksumming is on in both cases
>> 
>>  Pretty cool!
>>  Does that give you guys an idea on how to tackle it "officially"?
>> 
>> 
>> 
> 
> Thank you all for testing !
> 
> It's been on my todo list to cook up a patch that limits PBL 
> according to
> FIFO size but I didn't manage to have the time yet so for now it would
> be better if you fix it by submitting the DT bindings changes.
> 
> Thanks,
> Jose Miguel Abreu

If snps,no-pbl-x8 does indeed have a performace hit, should the 
workaround be to
a) turn tx checksumming off or
b) snps,no-pbl-x8 set?

I'll test to see the difference